Bug 1128162 - missing checking of /var/lib/system-upgrade with --clean option
Summary: missing checking of /var/lib/system-upgrade with --clean option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-upgrade-tool
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 13:09 UTC by pstodulk
Modified: 2016-07-28 16:33 UTC (History)
4 users (show)

Fixed In Version: redhat-upgrade-tool-0.7.32-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 16:33:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1396 normal SHIPPED_LIVE redhat-upgrade-tool bug fix update 2014-10-14 14:18:35 UTC

Description pstodulk 2014-08-08 13:09:34 UTC
Description of problem:
redhat-upgrade-tool doesn't check existence of /var/lib/systemd and fall when doesn't exists with --clean option.


Version-Release number of selected component (if applicable):
redhat-upgrade-tool-0.7.24-1.el6.noarch

How reproducible:
always

Steps to Reproduce:
redhat-upgrade-tool --clean
redhat-upgrade-tool --clean


Actual results:
Traceback (most recent call last):
  File "/usr/bin/redhat-upgrade-tool", line 325, in <module>
    main(args)
  File "/usr/bin/redhat-upgrade-tool", line 107, in main
    do_cleanup(args)
  File "/usr/lib/python2.6/site-packages/redhat_upgrade_tool/commandline.py", line 228, in do_cleanup
    for cert in filter(lambda fn: fn.endswith('.pem'), os.listdir(packagedir)):
OSError: [Errno 2] No such file or directory: '/var/lib/system-upgrade'

Expected results:


Additional info:

Comment 1 David Shea 2014-08-08 13:12:10 UTC
Already fixed this one, commit cb484293c188c3ce4d3135fefbd9880040f24cab

Comment 3 Michal Kovarik 2014-09-23 10:23:02 UTC
Verified on redhat-upgrade-tool-0.7.32-1.el6.

Comment 6 Michal Bocek 2016-07-28 16:33:39 UTC
This bug was fixed in redhat-upgrade-tool-0.7.32-1.el6. Closing as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.